---
#cloud-config
autoinstall:
  version: 1
  interactive-sections:
    - identity
  refresh-installer:
    update: yes
  ssh:
    install-server: yes
  codecs:
    install: yes
  late-commands:
    - 'curtin in-target --target=/target -- sh -c "wget -qO - https://download.morph027.de/noble.sh | bash"'
  apt:
    sources:
      mozilla-ppa:
        source: ppa:mozillateam/ppa
      ulauncher-ppa:
        source: ppa:agornostal/ulauncher
  proxy: http://apt-cacher.lan:3142/
  packages:
    - curl
  storage:
    config:
      - id: system-disk
        type: disk
        match:
          path: /dev/nvme0n1
        ptable: gpt
        preserve: true
      - id: part-efi
        type: partition
        device: system-disk
        number: 1
        grub_device: true
        preserve: true
        size: 1127219200
      - id: part-boot-dummy
        type: partition
        device: system-disk
        number: 2
        preserve: true
        size: 2147483648
      - id: part-root-dummy
        type: partition
        device: system-disk
        number: 3
        preserve: true
        size: 274877906944
      - id: part-4-dummy
        type: partition
        device: system-disk
        number: 4
        preserve: true
        size: 137438953472
      - id: part-5-dummy
        type: partition
        device: system-disk
        number: 5
        preserve: true
        size: 16777216
      - id: part-6-dummy
        type: partition
        device: system-disk
        number: 6
        preserve: true
        size: 137422176256
      - id: part-7-dummy
        type: partition
        device: system-disk
        number: 7
        preserve: true
        size: 8589934592
      - id: part-8-dummy
        type: partition
        device: system-disk
        number: 8
        preserve: true
        size: 5001707520
      - id: part-boot
        type: device
        path: /dev/nvme0n1p2
      - id: part-root
        type: device
        path: /dev/mapper/nvme0n1p3_crypt
      - id: format-efi
        type: format
        volume: part-efi
        fstype: fat32
        label: efi
      - id: format-boot
        type: format
        volume: part-boot
        fstype: ext4
        label: boot
      - id: format-root
        type: format
        volume: part-root
        fstype: ext4
        label: root
      - id: mount-root
        type: mount
        device: format-root
        path: /
        options: 'defaults'
      - id: mount-boot
        type: mount
        device: format-boot
        path: /boot
        options: 'defaults'
      - id: mount-efi
        type: mount
        device: format-efi
        path: /boot/efi
